Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component
Class UIComponent

    java.lang.Object
      javax.faces.component.UIComponent

All Implemented Interfaces:
  StateHolder

Direct Known Subclasses:
  UIComponentBase

public abstract class UIComponent
extends java.lang.Object
implements StateHolder

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`UIComponent()`

Method Summary
`protected abstract void` | `addFacesListener(FacesListener listener)`
`abstract void` | `broadcast(FacesEvent event)`
`abstract void` | `decode(FacesContext context)`
`abstract void` | `encodeBegin(FacesContext context)`
`abstract void` | `encodeChildren(FacesContext context)`
`abstract void` | `encodeEnd(FacesContext context)`
`abstract UIComponent` | `findComponent(java.lang.String expr)`
`abstract java.util.Map` | `getAttributes()`
`abstract int` | `getChildCount()`
`abstract java.util.List` | `getChildren()`
`abstract java.lang.String` | `getClientId(FacesContext context)`
`protected abstract FacesContext` | `getFacesContext()`
`protected abstract FacesListener[]` | `getFacesListeners(java.lang.Class clazz)`
`abstract UIComponent` | `getFacet(java.lang.String name)`
`abstract java.util.Map` | `getFacets()`
`abstract java.util.Iterator` | `getFacetsAndChildren()`
`abstract java.lang.String` | `getFamily()`
`abstract java.lang.String` | `getId()`
`abstract UIComponent` | `getParent()`
`protected abstract Renderer` | `getRenderer(FacesContext context)`
`abstract java.lang.String` | `getRendererType()`
`abstract boolean` | `getRendersChildren()`
`abstract ValueBinding` | `getValueBinding(java.lang.String name)`
`abstract boolean` | `isRendered()`
`abstract void` | `processDecodes(FacesContext context)`
`abstract void` | `processRestoreState(FacesContext context, java.lang.Object state)`
`abstract java.lang.Object` | `processSaveState(FacesContext context)`
`abstract void` | `processUpdates(FacesContext context)`
`abstract void` | `processValidators(FacesContext context)`
`abstract void` | `queueEvent(FacesEvent event)`
`protected abstract void` | `removeFacesListener(FacesListener listener)`
`abstract void` | `setId(java.lang.String id)`
`abstract void` | `setParent(UIComponent parent)`
`abstract void` | `setRendered(boolean rendered)`
`abstract void` | `setRendererType(java.lang.String rendererType)`
`abstract void` | `setValueBinding(java.lang.String name, ValueBinding binding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.StateHolder
`isTransient, restoreState, saveState, setTransient`

Constructor Detail

### UIComponent

    public UIComponent()

Method Detail

### getAttributes

    public abstract java.util.Map getAttributes()

### getValueBinding

    public abstract ValueBinding getValueBinding(java.lang.String name)

### setValueBinding

    public abstract void setValueBinding(java.lang.String name,
                                         ValueBinding binding)

### getClientId

    public abstract java.lang.String getClientId(FacesContext context)

### getFamily

    public abstract java.lang.String getFamily()

### getId

    public abstract java.lang.String getId()

### setId

    public abstract void setId(java.lang.String id)

### getParent

    public abstract UIComponent getParent()

### setParent

    public abstract void setParent(UIComponent parent)

### isRendered

    public abstract boolean isRendered()

### setRendered

    public abstract void setRendered(boolean rendered)

### getRendererType

    public abstract java.lang.String getRendererType()

### setRendererType

    public abstract void setRendererType(java.lang.String rendererType)

### getRendersChildren

    public abstract boolean getRendersChildren()

### getChildren

    public abstract java.util.List getChildren()

### getChildCount

    public abstract int getChildCount()

### findComponent

    public abstract UIComponent findComponent(java.lang.String expr)

### getFacets

    public abstract java.util.Map getFacets()

### getFacet

    public abstract UIComponent getFacet(java.lang.String name)

### getFacetsAndChildren

    public abstract java.util.Iterator getFacetsAndChildren()

### broadcast

    public abstract void broadcast(FacesEvent event)
                            throws AbortProcessingException

  Throws:
    `AbortProcessingException`

### decode

    public abstract void decode(FacesContext context)

### encodeBegin

    public abstract void encodeBegin(FacesContext context)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public abstract void encodeChildren(FacesContext context)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeEnd

    public abstract void encodeEnd(FacesContext context)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### addFacesListener

    protected abstract void addFacesListener(FacesListener listener)

### getFacesListeners

    protected abstract FacesListener[] getFacesListeners(java.lang.Class clazz)

### removeFacesListener

    protected abstract void removeFacesListener(FacesListener listener)

### queueEvent

    public abstract void queueEvent(FacesEvent event)

### processRestoreState

    public abstract void processRestoreState(FacesContext context,
                                             java.lang.Object state)

### processDecodes

    public abstract void processDecodes(FacesContext context)

### processValidators

    public abstract void processValidators(FacesContext context)

### processUpdates

    public abstract void processUpdates(FacesContext context)

### processSaveState

    public abstract java.lang.Object processSaveState(FacesContext context)

### getFacesContext

    protected abstract FacesContext getFacesContext()

### getRenderer

    protected abstract Renderer getRenderer(FacesContext context)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD